package com.cyksj.service.distribute;

import com.cyksj.model.entity.DistributeGeneralSkuRate;
import com.cyksj.model.request.UserDistributeReq;

import java.util.List;

/*
 *项目名: netflix
 *文件名: DistributeService
 *创建者: JavaZou
 *创建时间:2022/11/14 12:21
 */
public interface DistributeService {
	void insertDistribute(UserDistributeReq userDistributeReq);

	void editDistribute(UserDistributeReq userDistributeReq);

	/**
	 * 保存分销邀请记录
	 * sharedId: 邀请人
	 * userId: 被邀请人
	 * dsPopularizeId: 后台自定义推广链接id
	 */
	void saveDistributionInvitation(Long sharedId, Long userId, Long dsPopularizeId, Boolean ccGeneralTg);

	/**
	 * 普通推广者绑定优惠推广码
	 */
	void bindPopularizeCode(Long userId, String code);

	void unbindUserDistributeShared(List<Object> userBind) throws Exception;

	void setDistributeCommonSkuRate(List<DistributeGeneralSkuRate> skuRates);
}
